Base Distribution - Task # 52433

Work Package # 48275 (New): TypoScript consistency

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:

Created: 2013-10-01 Assigned To: Sebastian Kurfuerst
Updated: 2013-10-02 Due date:

Subject: allow "this" in all TypoScript objects to reference other properties

Description

If a user writes complex Eel expressions, it might make sense to use

intermediate variables for that. With this change, the following

syntax is possible:

myContent = MyTypoScriptObject {
other = ${5*2}

myProperty = ${'some complex expression: ' + this.other}

}

# myProperty now contains "some complex expression: 10"

This is implemented for all TypoScript objects.

Associated revisions

Revision d3648e38 - 2013-10-02 22:51 - Sebastian Kurfuerst

[FEATURE] allow "this" in all TypoScript objects to reference other properties

If a user writes complex Eel expressions, it might make sense to use

intermediate variables for that. With this change, the following

syntax is possible:

myContent = MyTypoScriptObject {
other = ${5*2}
myProperty = ${'some complex expression: ' + this.other}

}

This is implemented for all TypoScript objects.

Change-Id: 1244cff117811f911f4a602dde9743234{8f6d 147
Resolves: #52433

Reviewed-on: https://review.typo3.org/24219

Tested-by: Mr. Hudson

Reviewed-by: Sebastian Kurfuerst

Tested-by: Sebastian Kurfuerst

Revision d984ef8d - 2013-10-02 22:52 - Dominique Feyer

[BUGFIX] adjust "Plugin” TypoScript object to "this" changes
https://review.typo3.org/24219

Change-Id: Id4cc05ba3bcd548c916bc1dd194aadad6ab0ailO
Related: #52433
Reviewed-on: https://review.typo3.0rg/24226

Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History

#1 - 2013-10-01 16:31 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24219

#2 - 2013-10-01 17:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24219

#3 - 2013-10-02 10:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24219

#4 - 2013-10-02 18:58 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24219

#5 - 2013-10-02 23:36 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:d3648e3876f894860b5969047abfdef53f578425.
